%global pypi_name typeguard

Name:           python-%{pypi_name}
Version:        2.13.3
Release:        %mkrel 2
Summary:        Run-time type checker for Python
License:        MIT
Group:          Development/Python
URL:            https://github.com/agronholm/%{pypi_name}
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%package -n python3-%{pypi_name}
Summary:        Run-time type checker for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{pypi_name}
This library provides run-time type checking for functions defined with
PEP 484 argument (and return) type annotations.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 2.13.3-2.mga9
+ Revision: 1824860
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 2.13.3-1.mga9
+ Revision: 1781329
- version 2.13.3
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 2.12.0-1.mga9
+ Revision: 1716457
- new version: 2.12.0

* Sun Mar 21 2021 daviddavid <daviddavid> 2.11.1-2.mga9
+ Revision: 1706986
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 2.11.1-1.mga9
+ Revision: 1695768
- new version: 2.11.1

* Thu Oct 22 2020 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1638540
- new version: 2.10.0

* Mon Sep 07 2020 daviddavid <daviddavid> 2.9.1-1.mga8
+ Revision: 1623301
- new version: 2.9.1

* Sun May 24 2020 daviddavid <daviddavid> 2.7.1-1.mga8
+ Revision: 1587340
- initial package python-typeguard

